Adobe Creative Cloud Desktop < Multiple Vulnerabilities (APSB16-21)

Medium Nessus Plugin ID 91780


An application installed on the remote host is affected by multiple vulnerabilities.


The version of Adobe Creative Cloud Desktop installed on the remote Windows host is prior to It is, therefore, affected by multiple vulnerabilities :

- An untrusted search path vulnerability exists in the installer due to looking for specific files or libraries in the current working directory which may not be trusted or under user control. A local attacker can exploit this, via a specially crafted library (DLL) file, to inject and execute arbitrary code in the context of the current user. (CVE-2016-4157)

- An unquoted search path vulnerability exists in AdobeUpdateService.exe that allows a local attacker to inject and execute arbitrary code via an executable in the %SYSTEMDRIVE% directory. (CVE-2016-4158)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.


Upgrade to Adobe Creative Cloud Desktop version or later.

See Also

Plugin Details

Severity: Medium

ID: 91780

File Name: adobe_creative_cloud_3_7_0_272.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2016/06/23

Modified: 2016/10/18

Dependencies: 91388

Risk Information

Risk Factor: Medium


Base Score: 6.9

Temporal Score: 5.4

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:adobe:creative_cloud

Required KB Items: installed_sw/Adobe Creative Cloud

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2016/06/14

Vulnerability Publication Date: 2016/06/14

Reference Information

CVE: CVE-2016-4157, CVE-2016-4158

OSVDB: 139955, 139956

EDB-ID: 39954